Skip to main content
POST
Create Message

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

is_sync
boolean
default:false

Whether to process the request synchronously. If true, Catena will attempt to create or update the resource immediately with the TSP and return the result in the response. When performing synchronous operations, you are responsible for handling any necessary retries in case of transient failures.If false (default), Catena will create an asynchronous operation, and you can check the status of the operation using the returned operation ID.

Body

application/json

Message model for creating new records

connection_id
string<uuid>
required

Unique identifier of the connection at Catena Telematics which will be used to create this resource. A connection represents a Fleet/TSP pairing.

recipient_id
string<uuid>
required

Identifier for the recipient

partner_ref
string | null

Your own reference for this record. Optional, up to 255 characters, opaque to Catena: it is stored and returned unchanged on the resource operation, its GET endpoints and the resource_operation.* webhooks, so you can match the outcome of a write to the record in your system without keeping the operation ID.

Maximum string length: 255
sender_id
string<uuid> | null

Identifier for the sender. Optional: some TSPs don't support or require a sender for messages.

message_text
string | null

The content of the message

priority
enum<string> | null

Optional priority for the message: low, medium, or high

Available options:
low,
medium,
high
reply_to_message_id
string<uuid> | null

Message identifier, for which this message is a reply to

thread_id
string<uuid> | null

Thread/conversation identifier. Represents a shared conversation across multiple messages.

Response

The message was created successfully.

Resource operation model

partner_id
string<uuid>
required

The ID of the partner that created the operation.

connection_id
string<uuid>
required

The ID of the connection

resource
enum<string>
required

The type of resource to operate on (e.g., vehicle, driver).

Available options:
asset,
document,
driver_association,
driver_vehicle_association,
driver_event_log,
driver_safety_event,
dvir_log,
dvir_log_defect,
engine_log,
engine_status,
fuel_transaction,
fuel_card,
fleet_info,
hos_availability,
hos_daily_log,
hos_daily_snapshot,
hos_event,
hos_event_annotation,
hos_event_attachment,
hos_violation,
ifta_summary,
location_segment,
message,
group_message,
user,
vehicle,
vehicle_location,
vehicle_sensor,
vehicle_region_segment,
trailer,
trailer_association,
trailer_vehicle_association,
trailer_location,
trailer_status,
workflow
operation_type
enum<string>
required

The type of operation to perform (e.g., create, update).

Available options:
create,
update
payload
Operation Payload · object
required

The payload of the operation, containing the resource attributes to be created or updated.

id
string<uuid>

Unique identifier for the resource operation.

created_at
string<date-time>

Immutable: The datetime the record was created in Catena Telematics.

updated_at
string<date-time>

The datetime the record was last modified in Catena Telematics.

deleted_at
string<date-time> | null

The datetime the record was logically deleted from Catena Telematics.

partner_ref
string | null

The reference you supplied for this record when creating the operation, returned unchanged. null when none was supplied.

resource_id
string<uuid> | null

Unique identifier of the record. Can be null for create operations where the source does not exist yet.

source_id
string | null

The unique identifier of the resource in the source system. Required for update operations.

status
enum<string>
default:pending

The status of the operation

Available options:
pending,
success,
failed
logs
ResourceOperationLog · object[]

Log entries for each attempt to execute this operation.